--- old/usr/src/uts/common/fs/zfs/dnode.c	2014-10-28 11:57:19.277752356 -0700
+++ new/usr/src/uts/common/fs/zfs/dnode.c	2014-10-28 11:57:19.283498641 -0700
@@ -1299,7 +1299,7 @@
 	 */
 	VERIFY(dnode_add_ref(dn, (void *)(uintptr_t)tx->tx_txg));
 
-	(void) dbuf_dirty(dn->dn_dbuf, tx);
+	(void) dbuf_dirty(dn->dn_dbuf, tx, B_FALSE);
 
 	dsl_dataset_dirty(os->os_dsl_dataset, tx);
 }
@@ -1462,7 +1462,7 @@
 		/* dirty the left indirects */
 		db = dbuf_hold_level(dn, old_nlevels, 0, FTAG);
 		ASSERT(db != NULL);
-		new = dbuf_dirty(db, tx);
+		new = dbuf_dirty(db, tx, B_FALSE);
 		dbuf_rele(db, FTAG);
 
 		/* transfer the dirty records to the new indirect */
